name: web_shell_core
description: "Android 平板专用 H5 壳核心库，提供 WebView 引擎、JS Bridge 和宿主服务。"
version: 0.0.1
publish_to: none
homepage:

environment:
  sdk: ^3.11.0
  flutter: '>=3.3.0'

dependencies:
  connectivity_plus: ^7.0.0
  device_info_plus: ^12.3.0
  file_picker: ^10.3.10
  flutter:
    sdk: flutter
  http: ^1.2.0
  image_picker: ^1.2.1
  permission_handler: ^12.0.1
  plugin_platform_interface: ^2.0.2
  shared_preferences: ^2.3.2
  url_launcher: ^6.3.2
  webview_flutter: ^4.13.1
  webview_flutter_android: ^4.10.13
  yx_app_upgrade_flutter:
    git:
      url: https://gitea.23544.com/wangyang/yx_app_upgrade_flutter.git
      ref: 2.0.6

dev_dependencies:
  flutter_test:
    sdk: flutter
  image_picker_platform_interface: ^2.11.1
  url_launcher_platform_interface: ^2.3.2
  very_good_analysis: ^10.2.0
  webview_flutter_platform_interface: ^2.14.0

flutter:
  plugin:
    platforms:
      android:
        package: com.yuanxuan.webshell.core.web_shell_core
        pluginClass: WebShellCorePlugin
